# Toloka Java SDK

[![License](https://img.shields.io/pypi/l/toloka-kit.svg)](https://github.com/toloka/toloka-kit/blob/master/LICENSE)

[**<span style="color:red">Documentation</span>**](https://toloka.github.io/toloka-java-sdk/javadoc/)

[Website](https://toloka.ai) |
[API Documentation](https://toloka.ai/ru/docs/api/concepts/about.html?lang=en) |
[Platform](http://toloka.yandex.com)

Designed by engineers for engineers, Toloka lets you integrate an on-demand workforce directly into your processes. Our cloud-based crowdsourcing platform is a fast and efficient way to collect and label large data sources for machine learning and other business purposes.

Main advantages of Toloka:
- **Top-quality data** -  Collect and annotate training data that meets and exceeds industry quality standards thanks to multiple quality control methods and mechanisms available in Toloka.
- **Scalable projects** - Have any amounts of image, text, speech, audio, or video data collected and labeled for you by millions of skilled Toloka users across the globe.
- **Cost-efficiency** - Save time and money with this purpose-built platform for handling large-scale data collection and annotation projects, on-demand 24/7, at your own price and within your timeframe.
- **Free, powerful API** - Build scalable and fully automated human-in-the-loop machine learning pipelines with a powerful open API.

Requirements
--------------
- Java 11+
- Register in [Toloka.ai](https://toloka.ai/) as requester. Registration process described [here.](https://toloka.ai/ru/docs/guide/concepts/access.html?lang=en)
- [Topping up your account.](https://toloka.ai/ru/docs/guide/concepts/refill.html?lang=en)
- Getting an OAuth. Learn more in [help](https://toloka.ai/ru/docs/api/concepts/access.html?lang=en) and in the image below.

![How to get OAuth token](https://tlk.s3.yandex.net/toloka-kit/OAuth.png "How to get OAuth token")

Useful Links
--------------
- [Toloka homepage.](https://toloka.ai/)
- [Toloka requester's guide.](https://toloka.ai/ru/docs/guide/index.html?lang=en)
- We recommend that you first get acquainted with Toloka through the web interface and implement [one of the tutorials.](https://toloka.ai/ru/docs/guide/concepts/usecases.html)
- [Toloka API documentation.](https://toloka.ai/docs/api/concepts/about.html?lang=en)

Questions and bug reports
--------------
* Join our English-speaking [slack community](https://toloka.ai/community) for both tech and abstract questions.

License
-------
© YANDEX LLC, 2020-2021. Licensed under the Apache License, Version 2.0. See LICENSE file for more details.
